--$Name: Тета-2234$
--$Version: 0.8$
--$Author: Андрей Лобанов$
--$Info: Специально для ЗОК 2019$

require "lib/autotheme"
require "fmt"
require "noinv"
require "prefs"
require "snd"
dofile "game.lua"
dofile "lib/snow.lua"

prefs.animation = true

function animation()
   prefs.animation = not prefs.animation
   prefs:store()
   if prefs.animation then
	  timer:set(50)
   else
	  timer:stop()
	  draw_background()
   end
end

xact.walk = walk
xact.animation = animation

room {
   nam = "main",
   disp = "Тета-2234",
   pic = "img/image.png",
   onenter = function()
	  snd.music "snd/snow.ogg"
   end,
   decor = function()
	  local v = "Версия 0.8" ..
		 "^^{@ walk озеро|Начать игру}" ..
		 "^{@ walk \"об игре\"|Об игре}" ..
		 "^{@ animation |Анимация}: "
	  if prefs.animation then
		 v = v .. "ВКЛ"
	  else
		 v = v .. "ВЫКЛ"
	  end
	  return v
   end,
}

room {
   nam = "об игре",
   pic = "img/woq.png",
   decor = "Специально для зимней олимпиады квестов 2019.^^" ..
	  fmt.b("Автор игры:") .. " Андрей Лобанов^" ..
	  fmt.b("Автор движка INSTEAD:") .. " Пётр Косых^" ..
	  fmt.b("Музыка:") .. " Mellow-D - b.xm^" ..
	  fmt.b("Иллюстрация:") .. " НЕУД^" ..
	  fmt.b("Тестирование:") .. " Пётр Косых, Lucky Ookk^^" ..
	  "За изображение для темы оформления спасибо Bad Wolf.^^" ..
	  "{@ walk main|Назад}",
}
